[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.Create

Create a new TDataset instance

## Declaration

Source position: db.pas line 1567

`public constructor TDataSet.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the new dataset instance.

## Description

Create initializes a new TDataset instance. It calls the inherited constructor, and then initializes the internal structures needed to manage the dataset (fielddefs, fieldlist, constraints etc.).

## See also

TDataset.Destroy |  | Free a TDataset instance

Documentation generated on: Feb 26 2014